wreport::sys::PreserveFileTimes Class Reference

RAII mechanism to save restore file times at the end of some file operations. More...

`#include <sys.h>`

## Public Member Functions

| PreserveFileTimes (FileDescriptor fd)

## Protected Attributes

FileDescriptor | fd
struct::timespec | ts [2]

## Detailed Description

RAII mechanism to save restore file times at the end of some file operations.

The documentation for this class was generated from the following file:

- sys.h